Bug 927245 (CVE-2013-1830)

Summary: CVE-2013-1830 moodle: Information leak in course profiles (MSA-13-0012)
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: limburgher
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20130325,reported=20130308,source=distros,cvss2=4.0/AV:N/AC:L/Au:S/C:P/I:N/A:N,fedora-18/moodle=affected,fedora-17/moodle=affected,epel-6/moodle=affected,epel-5/moodle=notaffected
Fixed In Version: moodle-2.4.2, moodle-2.3.5, moodle-2.2.8 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-08-22 11:26:12 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 927264, 927267, 927273    
Bug Blocks:    

Description Jan Lieskovsky 2013-03-25 09:37:06 EDT
An information disclosure flaw was found in the way Moodle, a course management system, honoured 'forceloginforprofiles' configuration option / settings (course profile information was available regardless of this option being enabled / applied). Remote attacker (logged in as Moodle guest) could use this flaw to obtain sensitive information.

References:
[1] http://www.openwall.com/lists/oss-security/2013/03/25/2

Relevant upstream patch:
[2] http://git.moodle.org/gw?p=moodle.git;a=commit;h=3ecc63e9dbe29c6a5a8f65fa8e7980ba0fffb5a8
Comment 1 Jan Lieskovsky 2013-03-25 09:50:27 EDT
This issue affects the versions of the moodle package, as shipped with Fedora release of 18, 17, and Fedora EPEL-6. Please schedule an update.

--

This issue (probably [*]) does not affect the version of the moodle package, as shipped with Fedora EPEL-5.

[*] Saying probably, because based on comparing proposed upstream patch with relevant source code it is not possible (without further investigation) to determine, if the particular version is not affected.
Comment 2 Jan Lieskovsky 2013-03-25 10:13:31 EDT
Created moodle tracking bugs for this issue

Affects: fedora-18 [bug 927264]
Comment 3 Jan Lieskovsky 2013-03-25 10:21:46 EDT
Created moodle tracking bugs for this issue

Affects: fedora-17 [bug 927267]
Comment 4 Jan Lieskovsky 2013-03-25 10:33:25 EDT
Created moodle tracking bugs for this issue

Affects: epel-6 [bug 927273]